/***************************************************************************
 *            ncurses_port.h
 *
 *  Thu Jul 19 19:00:10 2007
 *  Copyright  2007  Steffen Pohle
 *  steffen@gulpe.de
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
 
#ifndef _CONVERT_PORT_H_
#define _CONVERT_PORT_H_

#include "osmroute.h"
#include "map.h"

/* 
 * main window
 */
extern void main_wnd_startall ();
extern void main_wnd_loop (long long int cur, long long int max);
extern void main_wnd_update ();

extern unsigned long long int osm_max_wayid;
extern unsigned long long int osm_max_nodeid;
extern unsigned long long int osm_last_wayid;

#endif
